Package org.eclipse.birt.report.engine.api.script.eventhandler

# Interface IMasterPageEventHandler

All Known Implementing Classes:
  `MasterPageEventAdapter`

public interface IMasterPageEventHandler

## Method Summary

Modifier and Type
Method
Description
`void`
`onPageEnd(IPageInstance page, IReportContext reportContext)`
Handle the onPageEnd event
`void`
`onPageStart(IPageInstance page, IReportContext reportContext)`
Handle the onPageStart event

## Method Details

### onPageStart

void onPageStart(IPageInstance page, IReportContext reportContext) throws ScriptException
Handle the onPageStart event

Throws:
  `ScriptException`

### onPageEnd

void onPageEnd(IPageInstance page, IReportContext reportContext) throws ScriptException
Handle the onPageEnd event

Throws:
  `ScriptException`